## Create Aggregation

### cURL

```
curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/aggregations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "quantityPerUnit": 1,
  "unit": "<string>",
  "meterId": "<string>",
  "targetField": "<string>",
  "version": 123,
  "customFields": {},
  "code": "example_code",
  "accountingProductId": "<string>",
  "segmentedFields": [
    "<string>"
  ],
  "segments": [
    {}
  ],
  "defaultValue": 1,
  "customSql": "<string>"
}
'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/aggregations"

payload = {
    "name": "<string>",
    "quantityPerUnit": 1,
    "unit": "<string>",
    "meterId": "<string>",
    "targetField": "<string>",
    "version": 123,
    "customFields": {},
    "code": "example_code",
    "accountingProductId": "<string>",
    "segmentedFields": ["<string>"],
    "segments": [{}],
    "defaultValue": 1,
    "customSql": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript Fetch

```
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    quantityPerUnit: 1,
    unit: '<string>',
    meterId: '<string>',
    targetField: '<string>',
    version: 123,
    customFields: {},
    code: 'example_code',
    accountingProductId: '<string>',
    segmentedFields: ['<string>'],
    segments: [{}],
    defaultValue: 1,
    customSql: '<string>'
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/aggregations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response

```
{
  "id": "<string>",
  "version": 123,
  "customFields": {},
  "name": "<string>",
  "quantityPerUnit": 123,
  "unit": "<string>",
  "code": "<string>",
  "segments": [{}],
  "accountingProductId": "<string>",
  "meterId": "<string>",
  "targetField": "<string>",
  "segmentedFields": ["<string>"],
  "defaultValue": 123,
  "customSql": "<string>",
  "productId": "<string>",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

#### Authorizations

- **Authorization** (string): Required header for OAuth2 authentication.
